summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRuediger Meier2017-06-15 02:40:57 +0200
committerRuediger Meier2017-06-15 08:47:09 +0200
commitfd3c28059432620fc7a893fe3b305ce1284810b3 (patch)
treefa2466576dcf2d154f4f05cf8fd45598e82f5d3a
parenttests: fix and refactor partx (diff)
downloadkernel-qcow2-util-linux-fd3c28059432620fc7a893fe3b305ce1284810b3.tar.gz
kernel-qcow2-util-linux-fd3c28059432620fc7a893fe3b305ce1284810b3.tar.xz
kernel-qcow2-util-linux-fd3c28059432620fc7a893fe3b305ce1284810b3.zip
tests: split partx in root and non-root
Signed-off-by: Ruediger Meier <ruediger.meier@ga-group.nl>
-rw-r--r--tests/expected/partx/partx-image-bsd (renamed from tests/expected/partx/partx-bsd)0
-rw-r--r--tests/expected/partx/partx-image-dos+bsd (renamed from tests/expected/partx/partx-dos+bsd)0
-rw-r--r--tests/expected/partx/partx-image-gpt (renamed from tests/expected/partx/partx-gpt)0
-rw-r--r--tests/expected/partx/partx-image-sgi (renamed from tests/expected/partx/partx-sgi)0
-rw-r--r--tests/expected/partx/partx-image-sun (renamed from tests/expected/partx/partx-sun)0
-rwxr-xr-xtests/ts/partx/partx16
-rwxr-xr-xtests/ts/partx/partx-image43
7 files changed, 43 insertions, 16 deletions
diff --git a/tests/expected/partx/partx-bsd b/tests/expected/partx/partx-image-bsd
index 15568c4c1..15568c4c1 100644
--- a/tests/expected/partx/partx-bsd
+++ b/tests/expected/partx/partx-image-bsd
diff --git a/tests/expected/partx/partx-dos+bsd b/tests/expected/partx/partx-image-dos+bsd
index 379633d9d..379633d9d 100644
--- a/tests/expected/partx/partx-dos+bsd
+++ b/tests/expected/partx/partx-image-dos+bsd
diff --git a/tests/expected/partx/partx-gpt b/tests/expected/partx/partx-image-gpt
index c941f3699..c941f3699 100644
--- a/tests/expected/partx/partx-gpt
+++ b/tests/expected/partx/partx-image-gpt
diff --git a/tests/expected/partx/partx-sgi b/tests/expected/partx/partx-image-sgi
index ca5cdfbd3..ca5cdfbd3 100644
--- a/tests/expected/partx/partx-sgi
+++ b/tests/expected/partx/partx-image-sgi
diff --git a/tests/expected/partx/partx-sun b/tests/expected/partx/partx-image-sun
index e69fdb182..e69fdb182 100644
--- a/tests/expected/partx/partx-sun
+++ b/tests/expected/partx/partx-image-sun
diff --git a/tests/ts/partx/partx b/tests/ts/partx/partx
index 7f629218a..b21dc44ef 100755
--- a/tests/ts/partx/partx
+++ b/tests/ts/partx/partx
@@ -18,7 +18,6 @@
TS_TOPDIR="${0%/*}/../.."
TS_DESC="partitions probing"
-TS_IMGDIR="$TS_TOPDIR/ts/blkid/images-pt"
PARTS=3
. $TS_TOPDIR/functions.sh
@@ -29,7 +28,6 @@ ts_check_test_command "$TS_CMD_ADDPART"
ts_check_test_command "$TS_CMD_DELPART"
ts_skip_nonroot
-ts_check_prog "xz"
shopt -s nullglob
@@ -49,20 +47,6 @@ function check_partition_count
return 1
}
-mkdir -p $TS_OUTDIR/images-pt
-for img in $TS_IMGDIR/*.img.xz; do
- name=$(basename $img .img.xz)
- outimg=$TS_OUTDIR/images-pt/${name}.img
-
- ts_init_subtest $name
- {
- xz -dc $img > $outimg &&
- $TS_CMD_PARTX $outimg ||
- echo "failed: $?"
- } >$TS_OUTPUT 2>&1
- ts_finalize_subtest
-done
-
# set global variable TS_DEVICE
ts_scsi_debug_init dev_size_mb=50
diff --git a/tests/ts/partx/partx-image b/tests/ts/partx/partx-image
new file mode 100755
index 000000000..73c7ba155
--- /dev/null
+++ b/tests/ts/partx/partx-image
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2010 Davidlohr Bueso <dave@gnu.org>
+#
+# This file is part of util-linux.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+TS_TOPDIR="${0%/*}/../.."
+TS_DESC="show images"
+TS_IMGDIR="$TS_TOPDIR/ts/blkid/images-pt"
+
+. $TS_TOPDIR/functions.sh
+ts_init "$*"
+
+ts_check_test_command "$TS_CMD_PARTX"
+ts_check_prog "xz"
+
+mkdir -p $TS_OUTDIR/images-pt
+for img in $TS_IMGDIR/*.img.xz; do
+ name=$(basename $img .img.xz)
+ outimg=$TS_OUTDIR/images-pt/${name}.img
+
+ ts_init_subtest $name
+ {
+ xz -dc $img > $outimg &&
+ $TS_CMD_PARTX $outimg ||
+ echo "failed: $?"
+ } >$TS_OUTPUT 2>&1
+ ts_finalize_subtest
+done
+
+ts_finalize